### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.iom

# Class WorkspacePoolException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.sas.util.ChainedException
com.sas.iom.WorkspacePoolException

All Implemented Interfaces:
  `com.sas.util.ChainedExceptionInterface`, `Serializable`

@SASScope("ALL") @BinaryCompatibilityOnly public class WorkspacePoolException extends com.sas.util.ChainedException
Deprecated.
WorkspacePoolDriver and WorkspacePoolException have been deprecated in favor of the less ambiguous WorkspaceFactory and WorkspaceFactoryException.
The exception class for the deprecated class WorkspacePoolDriver.

See Also:
  - `WorkspaceFactoryException`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WorkspacePoolException()`
  Deprecated.
  No-argument constructor.
  `WorkspacePoolException(String message)`
  Deprecated.
  Constructor with message.
  `WorkspacePoolException(String message, Throwable nestedException)`
  Deprecated.
  Wrapper constructor.
  `WorkspacePoolException(Throwable nestedException)`
  Deprecated.
  Wrapper constructor.

- ## Method Summary

  ### Methods inherited from class com.sas.util.ChainedException

  `chainContains, getRootException, getRootException, getTargetException, getTargetException, printStackTrace, printStackTrace, printStackTrace, toString, toStringBuffer`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### WorkspacePoolException

    public WorkspacePoolException()
    Deprecated.
    No-argument constructor.

  - ### WorkspacePoolException

    public WorkspacePoolException(String message)
    Deprecated.
    Constructor with message.
    Parameters:
      `message` - a message adding detail to the exception

  - ### WorkspacePoolException

    public WorkspacePoolException(Throwable nestedException)
    Deprecated.
    Wrapper constructor.
    Parameters:
      `nestedException` - exception being wrapped

  - ### WorkspacePoolException

    public WorkspacePoolException(String message, Throwable nestedException)
    Deprecated.
    Wrapper constructor.
    Parameters:
      `message` - a message to include in the exception.
      `nestedException` - an exception being wrapped.